javax.jdo.metadata

## Interface ColumnMetadata

- All Superinterfaces:
    Metadata

      public interface ColumnMetadata
      extends Metadata

  Represents an element in a collection/array.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getAllowsNull()` Accessor for whether the column allows null.
    `String` | `getDefaultValue()` Accessor for the default value.
    `String` | `getInsertValue()` Accessor for the insert value (for columns with no field/property)
    `String` | `getJDBCType()` Accessor for the JDBC Type.
    `Integer` | `getLength()` Accessor for the length.
    `String` | `getName()` Accessor for the name of the column.
    `Integer` | `getPosition()` Accessor for the position.
    `Integer` | `getScale()` Accessor for the scale.
    `String` | `getSQLType()` Accessor for the SQL Type.
    `String` | `getTarget()` Accessor for the name of the target column.
    `String` | `getTargetField()` Accessor for the name of the target field.
    `ColumnMetadata` | `setAllowsNull(boolean nulls)` Method to set whether it allows null.
    `ColumnMetadata` | `setDefaultValue(String val)` Method to set the default value.
    `ColumnMetadata` | `setInsertValue(String val)` Method to set the insert value (for columns with no field/property).
    `ColumnMetadata` | `setJDBCType(String type)` Method to set the JDBC type.
    `ColumnMetadata` | `setLength(int len)` Method to set the length.
    `ColumnMetadata` | `setName(String name)` Method to set the column name.
    `ColumnMetadata` | `setPosition(int pos)` Method to set the position.
    `ColumnMetadata` | `setScale(int scale)` Method to set the scale.
    `ColumnMetadata` | `setSQLType(String type)` Method to set the SQL type.
    `ColumnMetadata` | `setTarget(String target)` Method to set the target column (at the other side of the relation).
    `ColumnMetadata` | `setTargetField(String target)` Method to set the target field (at the other side of the relation).

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setName

          ColumnMetadata setName(String name)

      Method to set the column name.
      Parameters:
        `name` - Column name
      Returns:
        This metadata object

    - #### getName

          String getName()

      Accessor for the name of the column.
      Returns:
        The name

    - #### setTarget

          ColumnMetadata setTarget(String target)

      Method to set the target column (at the other side of the relation).
      Parameters:
        `target` - Target column
      Returns:
        This metadata object

    - #### getTarget

          String getTarget()

      Accessor for the name of the target column.
      Returns:
        Target column name

    - #### setTargetField

          ColumnMetadata setTargetField(String target)

      Method to set the target field (at the other side of the relation).
      Parameters:
        `target` - Target field
      Returns:
        This metadata object

    - #### getTargetField

          String getTargetField()

      Accessor for the name of the target field.
      Returns:
        Target field name

    - #### setJDBCType

          ColumnMetadata setJDBCType(String type)

      Method to set the JDBC type.
      Parameters:
        `type` - JDBC Type
      Returns:
        This metadata object

    - #### getJDBCType

          String getJDBCType()

      Accessor for the JDBC Type.
      Returns:
        JDBC Type

    - #### setSQLType

          ColumnMetadata setSQLType(String type)

      Method to set the SQL type.
      Parameters:
        `type` - SQL Type
      Returns:
        This metadata object

    - #### getSQLType

          String getSQLType()

      Accessor for the SQL Type.
      Returns:
        SQL Type

    - #### setLength

          ColumnMetadata setLength(int len)

      Method to set the length.
      Parameters:
        `len` - Length
      Returns:
        This metadata object

    - #### getLength

          Integer getLength()

      Accessor for the length.
      Returns:
        length

    - #### setScale

          ColumnMetadata setScale(int scale)

      Method to set the scale.
      Parameters:
        `scale` - scale
      Returns:
        This metadata object

    - #### getScale

          Integer getScale()

      Accessor for the scale.
      Returns:
        scale

    - #### setAllowsNull

          ColumnMetadata setAllowsNull(boolean nulls)

      Method to set whether it allows null.
      Parameters:
        `nulls` - Allows null?
      Returns:
        This metadata object

    - #### getAllowsNull

          Boolean getAllowsNull()

      Accessor for whether the column allows null.
      Returns:
        Allows null?

    - #### setDefaultValue

          ColumnMetadata setDefaultValue(String val)

      Method to set the default value.
      Parameters:
        `val` - Default value
      Returns:
        This metadata object

    - #### getDefaultValue

          String getDefaultValue()

      Accessor for the default value.
      Returns:
        Default value

    - #### setInsertValue

          ColumnMetadata setInsertValue(String val)

      Method to set the insert value (for columns with no field/property).
      Parameters:
        `val` - Insert value
      Returns:
        This metadata object

    - #### getInsertValue

          String getInsertValue()

      Accessor for the insert value (for columns with no field/property)
      Returns:
        Insert value

    - #### setPosition

          ColumnMetadata setPosition(int pos)

      Method to set the position.
      Parameters:
        `pos` - Position
      Returns:
        This metadata object

    - #### getPosition

          Integer getPosition()

      Accessor for the position.
      Returns:
        position

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.